/**
 * Core Services API
 * Use the Core Services API to manage resources such as virtual cloud networks (VCNs),
compute instances, and block storage volumes. For more information, see the console
documentation for the [Networking](/iaas/Content/Network/Concepts/overview.htm),
[Compute](/iaas/Content/Compute/Concepts/computeoverview.htm), and
[Block Volume](/iaas/Content/Block/Concepts/overview.htm) services.

 * OpenAPI spec version: 20160918
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2022, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Parameters for the softReset [instance action](https://docs.cloud.oracle.com/iaas/latest/Instance/InstanceAction). If omitted, default values are used.
 *
 */
export interface SoftResetActionDetails extends model.InstancePowerActionDetails {
    /**
     * For instances with a date in the Maintenance reboot field, the flag denoting whether reboot migration is enabled for instances that use the DenseIO shape. The default value is 'false'.
     *
     */
    "allowDenseRebootMigration"?: boolean;
    "actionType": string;
}
export declare namespace SoftResetActionDetails {
    function getJsonObj(obj: SoftResetActionDetails, isParentJsonObj?: boolean): object;
    const actionType = "softreset";
    function getDeserializedJsonObj(obj: SoftResetActionDetails, isParentJsonObj?: boolean): object;
}
